extends LimboState

@export var sprite: SpineSprite

func _enter() -> void:
  Messagebus.COCO_STATE.emit(self.name)
  var a = sprite.get_animation_state()
  if a: a.set_animation("crouch", true, 0)
  if true:
    a.set_animation("holding/shotgun", false, 1)

func _ready() -> void:
  pass # Replace with function body.

func _update(delta) -> void:
  if Input.is_action_pressed("crouch"):
    print("test")
    get_root().dispatch("to_idle")
  agent.apply_movement(delta)
  agent.check_jump_input(delta)

func _process(delta: float) -> void:
  pass
